package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.entity.TDFormWidgetMetadata;
import com.qmth.sop.business.mapper.TDFormWidgetMetadataMapper;
import com.qmth.sop.business.service.TDFormWidgetMetadataService;
import com.qmth.sop.common.enums.TFCustomTypeEnum;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * <p>
 * 动态表单元数据表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-08-29
 */
@Service
public class TDFormWidgetMetadataServiceImpl extends ServiceImpl<TDFormWidgetMetadataMapper, TDFormWidgetMetadata> implements TDFormWidgetMetadataService {

    /**
     * 根据流程类型删除数据
     *
     * @param type
     * @return
     */
    @Override
    public Boolean deleteAllData(TFCustomTypeEnum type) {
        return this.baseMapper.deleteAllData(Objects.nonNull(type) ? type.name() : null);
    }
}
